:root {
    --farbe2: rgb(197, 46, 35); /* Titles, Logos.. */

    --nav-bg: rgb(255, 255, 255); /* Color of Navbar */
    --navtextfarbe: var(--textfarbe);
    --containerclr: rgb(235, 235, 235);

    --navfarbe2: var(--farbe2); /* Color of Navbar-elements hover */
    --footerfarbe: var(--containerclr);
    --footertextfarbe: var(--navtextfarbe);
    
    --border: 2px solid var(--navtextfarbe); /* Border of the form boxes (contact) */
    --btn-border: 0px solid var(--navtextfarbe); /* Border of btn */
    --brd-radius: 0px; /* Radius of btns, containers, ... */
    
    /*--text: 'Heebo', sans-serif;*/
    /* --text: 'Merriweather', serif; */
    --text: 'Montserrat', sans-serif;
    --textfarbe: rgb(0, 0, 0);
}


::selection {
    background: var(--farbe2); /* Farbe die Objekte haben wenn markiert (immer Blau wenn nicht definiert) */
    color: white;
}

html {
  scroll-behavior: smooth;
}

div {
    font-family: var(--text);
}

h1 { /* One header per site */
    color: var(--farbe2) !important;
    margin-bottom: 60 !important;
    font-size: 64 !important;
    text-align: left;
}

h2 { /* Title in Sections */
    color: var(--farbe2) !important;
    margin-bottom: 60 !important;
    font-size: 64 !important;
    text-align: left;
}

h3 { /* Little title in round section */
    color: var(--farbe2) !important;
    margin: 10 0 10 0 !important;
    font-size: 32px !important;
    text-align: left;
}

h4cursive {
    color: var(--textfarbe);
    font-family: "Parisienne", cursive;
    font-weight: 400;
    font-style: normal;
}

p.hugeText {
    text-align: right;
    color: white !important;
    font-size: 80px;
}

p {
    color: var(--textfarbe);
    font-size: 21px;
    font-family: var(--text);
}

.quote { /* Quotation Text */
    color: rgb(255, 255, 255) !important;
    font-size: 40px !important;
    padding-bottom: 20px;
}

.highlight { /* For cool highlighting of text just use the highlight class*/
    display: inline;
    padding: .25em 0;
    background: var(--farbe2);
    color: #ffffff !important;
    box-shadow: .5em 0 0 var(--farbe2), -.5em 0 0 var(--farbe2);
}

#tel-icon, #mail-icon {
    padding: 15, 10px !important;
}

.section { /* Is around every element */
    padding: 120 0 120 0;
}

/* This here is the Modal window */
.modal {
    top: 0% !important;
}

.modal-content {
    border-radius: var(--brd-radius) !important;
}

.modal-header {
    background-color: black;
    color: white;
    border-bottom-width: 0px !important; /* no border between title and text */
    border-top-right-radius: var(--brd-radius) !important;
    border-top-left-radius: var(--brd-radius) !important;
}

.fade {
    transition: opacity .25s linear;
}

.bigfoto { /* Bigfoto over on top of text, between ssections ecc.. */
    background-color: none; 
    padding: 225 0 225 0px; 
    background-image: url("../res/1x3.png"); 
    background-size: cover; 
    background-position: center top;
}

/* FIRST SECTION VIDEO */
/* Style the video: 100% width and height to cover the entire window */
#video {
    max-width: 100%; 
    min-height: 100%;
    opacity: 1;
    overflow: hidden;
    object-fit:cover;
}
  
/* Add some content at the bottom of the video/page */
.videocontent {
    position:absolute;
    bottom: 0;
    width: 100%;
    overflow: hidden;
}

/* Apple Section News */
#container3 {
    overflow: hidden; /* img on hover will not exeed border */
    padding: 0 !important;
    background-color: var(--containerclr);
    border-radius: var(--brd-radius);
    width: 100%;
}

.container4 {
    overflow:hidden; /* img on hover will not exeed border */
}

.foto-container3 {
    border-top-left-radius: var(--brd-radius) !important;
    border-top-right-radius: var(--brd-radius) !important;
    width: 100%;
    height: auto;
}

.textbox-c3 {
    padding: 20;
    overflow: hidden ; /* img on hover will not exeed border */
    background-color: var(--containerclr);
}

#container3:hover .foto-container3 {
    -ms-transform: scale(1.1); /* IE 9 */
    -webkit-transform: scale(1.1); /* Safari 3-8 */
    transform: scale(1.1);
    transition-duration: 0.2s; /* For Zoom */
}

#container3:not(:hover) .foto-container3 {
    -ms-transform: scale(1); /* IE 9 */
    -webkit-transform: scale(1); /* Safari 3-8 */
    transform: scale(1); 
    transition-duration: 0.2s; /* For Zoom */
    opacity: 1;
}

.overlay {
    position: relative;
    margin-top: -600;
    width: 100%;
    height: 600;
    opacity: 0;
    transition-duration: 0.2s; /* For Zoom */
    background-color: grey;
}  

#container3:hover .overlay {
    opacity: 0.25;
}

/* Element with roundet border */
#container2 {
    border-bottom: 100;
    background-color:var(--containerclr);
    border-radius: var(--brd-radius);
    background-repeat: no-repeat;
}

.h2kontakt {
    text-align: center;
    padding-bottom: 4%;
}

.h2kontakt1 {
    text-align: right;
    padding-top: 40;
}

.h2kontakt2 {
    text-align: center;
    padding-top: 40;
}

#caption { /* padding unter Text in den Fotos (beim auswählen bzw. kicken) */
    font-family: var(--text);;
    padding-bottom: 32px;
}

/* BIGLOGO UND ÜBER UNS */
.biglogo {
    /*background-image: url("fotos/logobackg.png");*/
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    opacity: 1;
    position:absolute;
    top:1;
}

.firstPageDesktop {  /* Die Foto im Hintergrund hinter dem Logo, ist (display: none) also nur mit DevTools im Link zu kopieren*/
    display:block;
    height: 100%;
    width: auto;
    /* filter: brightness(0.7); */
    background-position: center top;
}

.firstPageA {
    flex: 1;
    background-size: cover;
    background-position: center;
    margin-top: 60px !important;
}

.firstPageB {
    flex: 1;
    display: flex;
    align-items: center;
}


.image {
    width: 80%;
    height: auto;
    vertical-align: middle;
    text-align: center;
    border-radius: var(--brd-radius);
}

/*.form-control {*/
/*    font-size: 21px;*/
/*}*/

input.form-control { /*Die Kontakt - Boxen die Margins werden hier verwaltet */
    border: var(--border);
    border-radius: var(--brd-radius);
    border-color: var(--textfarbe);
}

textarea.form-control { /*Die Kontakt - Boxen die Margins werden hier verwaltet */
    border: var(--border);
    border-radius: var(--brd-radius);
    border-color: var(--textfarbe);
    margin-top: 25px;
    margin-bottom: 25px;
    width: 100% !important
}

input.form-control:focus, textarea.form-control:focus {  /* Die Kontakt - Boxen, die Farbe der Umrandung wenn sie fokusiert werden  */
    border: var(--border);
    border-color: var(--farbe2);
    box-shadow: none;
}

/* Style the arrow inside the select element: */
 select.form-control:after {
    position: absolute;
    content: "";
    top: 14px;
    right: 10px;
    width: 0;
    height: 0;
    border: 6px solid transparent;
    border-color: rgb(255, 0, 0) transparent transparent transparent;
  }
  
  /* Point the arrow upwards when the select box is open (active): */
  select.form-control.select-arrow-active:after {
    border-color: transparent transparent rgb(0, 0, 0) transparent;
    top: 7px;
  }

  /* select boxes do not look browser default */
  select {
    -moz-appearance:none; /* Firefox */
    -webkit-appearance:none; /* Safari and Chrome */
    outline: none !important;
    background: url("http://cdn1.iconfinder.com/data/icons/cc_mono_icon_set/blacks/16x16/br_down.png") white no-repeat 98.5% !important; /* !important used for overriding all other customisations */
  }

/* PRIVACY CHECKBOX */
label {
    cursor: pointer;
}

.privacy-checkbox-text {
    display: block;
    padding-left: 35;
    font-weight: lighter;
}

/* Hide the browser's default checkbox */
.privacy-checkbox-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  left: 22;
}

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: -2;
    left: 15;
    padding-left: 20;
    margin-right: 20;
    height: 25px;
    width: 25px;
    background-color: white;
    border: var(--border);
    border-radius: var(--brd-radius);
  }
  
  /* On mouse-over, add a grey background color
  .privacy-checkbox-container:hover input ~ .checkmark { 
  }
  
  When the checkbox is checked, add a blue background
  .privacy-checkbox-container input:checked ~ .checkmark {
  } */
  
  /* Create the checkmark/indicator (hidden when not checked) */
  .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  /* Show the checkmark when checked */
  .privacy-checkbox-container input:checked ~ .checkmark:after {
    display: block;
  }
  
  /* Style the checkmark/indicator */
  .privacy-checkbox-container .checkmark:after {
    left: 6px;
    top: 1px;
    width: 10px;
    height: 15px;
    border: solid var(--farbe2);
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
  }

.button, .button-close-fotos, .cookieBtn {
    font-family: var(--text);
    font-size: 21px;
    padding: 6 18 6 18;
    margin: 2% 0 2% 0 !important;
    float: left !important;
    width: auto;
    height: auto;
    border: var(--btn-border);
    border-radius: var(--brd-radius);
    background-color: var(--farbe2);
    display: block;
    text-align: center;
    margin: auto;
}

.button a {
    color: rgb(255, 253, 255);
}

.videobutton {
    border: 0px solid;
}

.cookieText {
    position: absolute;
    top: 50%;
    transform: translate(0%, -50%);
    text-align: left;
    width: 70%;
    
}

.videobutton {
    font-size: 20px !important;
    width: auto;
    border-style: 2px solid white !important;
    border-color: white;
    color: white;
    background-color: rgba(255, 0, 0, 0);
}

.button a:hover, .button:hover a, button.button:hover, .button:focus, .button:active, close-cookie-banner:hover, close-cookie-banner:focus, .button-close-fotos:hover, .button-close-fotos:focus {
    /* border-style: none; */
    background-color: var(--farbe2);
    text-decoration: none !important;
    /* outline: none; Damit keine schwarze Umrandung beim clicken ist */
    color: black !important; /* The color of the text*/
}

#closeCookieBtn {
    float: right;
    margin-top: 11px;
    margin-right: 60px;
}

.kontaktpadding {
    display: block;
    width: 100%;
    display: inline-block;
    text-align: center;
    padding: 0 10% 0 0;
}

.kontaktpadding1 {
    display: block;
    width: 100%;
    display: inline-block;
    text-align: center;
    padding: 0 50% 0 0;
}

/* FOOTER */
footer {
    background-color: var(--footerfarbe);
    padding: 20;
    text-align: center;
}

#footerText {
    padding: 20 10 20 10px !important;
    color: var(--navtextfarbe);
}

.footerTextLink:hover {
    color: var(--farbe2) !important;
}

text {  /* Brauche ich diese CSS Atribute? XX */
    display: inline-block;
}

.ft14 {  /* Instagramm Logo */
    font-size: 88px !important;
    color: var(--farbe2);
    text-align: center;
}

i {  /* Damit der Burger Icon (für Mobile) in der vertikalen Mitte ist */
    color: var(--navtextfarbe);
    text-align: center;
    padding-top: 4;
}

.link, .link:hover, .link:focus, .link:active {
    color: var(--farbe2);
}

/* NAVBAR */

#myTopnav.nav {
    text-align: center;
    padding: 0 2% 0 2% !important;
    /* border-bottom-width: 3;
    border-bottom-style: solid;
    border-bottom-color: black; */
}

.nav {
    justify-content: center;
    position: fixed; /* wenn man nav nicht mehr fixed haben will, position emtfernen und in biglogo margin-top entfernen*/
    top: 0;
    width: 100%;
    overflow: hidden;
    background-color: var(--nav-bg); /* das ist eine Variable siehe :root (oben)*/
    z-index: 500; /* Z-Achse (ist vor allem)*/
    display: flow !important;
}

.nav a {
    display: inline-flex;
    font-family: var(--text);
    font-size: 18px;
    color: var(--navtextfarbe);
    text-decoration: none;
    padding: 15 30px;
}

/* Nav bar is right */
.nav a.icon {
    position: absolute;
    top: 0;
    right: 0;
}

.nav a#navbar-brand {
    position: absolute;
    fill: var(--navtextfarbe);
    margin-left: 0 !important;  /* 50% of your logo width */
    line-height: -18 !important;
}

.navbar-brand:hover, .navbar-brand:focus, .navbar-brand:active {
    fill: var(--navfarbe2) !important;
    color: var(--navfarbe2) !important;
}

.nav a:hover, .nav a:focus, .nav a:active {
    color: var(--navfarbe2) !important;
    /* background-color: var(--farbe2) !important; */
    background-color: none !important;
    text-decoration: none;
}

.nav a:focus .nav a:link {
    color: var(--navfarbe2);
    text-decoration: none;
    outline: 0;
}

/* RESP NAVBAR*/

#video {
    min-width: 100%; 
    height: 100% !important;
    opacity: 0.9;
}

.nav.responsive {position: fixed;}
  .nav.responsive a.icon {
      float: right;
}

.nav.responsive a {
    display: block;
    text-align: center;
}

.fa.fa-bars::after { /* Add menu txt to ham button */
	content: "";
	padding-left: 10px;
    font-family: var(--text);
    font-size: 18px;
}

.fa.fa-bars:hover { /* Hover on Haburgerbutton and Menu txt */ 
    color: var(--navfarbe2) !important;  
}    

/* COOKIES */
.cookie { 
    padding: 5 0 5 0px;
    position: fixed;
    background-color: white; 
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    border-top-width: 3;
    border-top-style: solid;
    border-top-color: black;
}

.close-cookie-banner:hover {
    color: var(--navtextfarbe);
}

/* IMPRESSUM UND PRIVACY */
.fat-h {
    color: var(--textfarbe) !important;
    padding-top: 60px;
}

@media (max-width: 1200px) {
    .nav a.icon {
        display: block !important;
    }

    .nav a {
        display: none;
    }

    .nav a.navlogo {
        display: block;
    }
}

@media (max-aspect-ratio: 1/1) { /* if the screen is larger then higher then desktop version*/

    .firstPageMobile {
        width: 100%;
        flex-direction: column;
        height: calc(100vh);
    }

    .firstPageB h2 {
        font-size: calc(40vh);
        text-align: center;
    }
}

@media (min-aspect-ratio: 1.1/1) {

    .firstPageMobile {
        height: 100%;
        flex-direction: row;
    }

    .firstPageB h2 {
        font-size: 5vw !important;
        text-align: left;
        padding-left: 20px;
    }
}

@media (max-width: 760px) /* Like Apple Website */ { /*     MOBILE VERSION       MOBILE VERSION     MOBILE VERSION    MOBILE VERSION 883  */

    .nav a.icon {
        display: block !important;
    }

    .container, #container3 {
        margin: 15 0 15 0;
    }

    #container2 { /* Smartphone version*/
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .section { /* Is around every element */
        padding: 50 0 50 0;
    }

    h1 { /* Title in Sections */
        margin-bottom: 30 !important;
        font-size: 48 !important;
    }

    h2 { /* Title in Sections */
        margin-bottom: 30 !important;
        font-size: 48 !important;
    }

    h3 { /* Little title in round section */
        margin: 10 0 10 0 !important;
        font-size: 21px !important;
    }

    p.hugeText {
        text-align: right;
        color: white !important;
        font-size: 50px;
    }

    /* The fonts are 1/4 smaller than on the pc version */
    p {
        font-size: 19;
    }

    .p1 { /* Text in black section */
        font-size: 19px !important; 
    }

    .quote { /* Quotation Text */
        font-size: 32px !important;
        padding-bottom: 5px;
    }

    .image {
        margin-right: 25%;    
        margin-left: 25%;
        width: 50%;
        height: auto;
    }

    .button, .button-close-fotos, .videobutton, .cookieBtn {
        font-size: 19px;
    }

    .cookieBtn {
        float: none !important;
        margin: auto !important;
        margin-top: 2% !important;
    }

    .navbar-brand {
        padding: 0px !important;
        margin-top: 18px;
        font-size: 15px !important;
        margin-right: -80px !important;  /* 50% of your logo width */
    }

    .h2kontakt1 {
        text-align: center;
        display: inline-block;
    }

    .jmfoto {
        display: block;
        text-align: center;
    }
        
    /* CARUSELL */
    .carousel-inner {
        width: 100% !important;
    }

    .column {
        flex: 100%;
        max-width: 100%;
    }
        
    .modal-content {
        width: 100%;
    }

    input.form-control {
        margin-bottom: 25px;
    }

    textarea.form-control {
        margin-top: 0px;
    }

    .kontaktpadding {
        width: 100%;
        text-align: center;
        padding: 0;
        float: inherit;
    }
        
    .kontaktpadding1 {
        padding: 0;
    }

    .fa.fa-bars::after { /* Delete menu txt to ham button */ 
        content: "";
    }

    #tel-icon, #mail-icon {
        display: none;
    }

    #icon-mobile {
        display: block !important;
    }

    .material-icons:hover {
        color: var(--farbe2);
    }

    /* Nav bar is right */
    .nav a.icon {
        display: block;
        float: right !important;
    }

    .nav a {
        padding: 15 5px;
    }

    a#nav5.nav5 {
        padding-bottom: 1000px !important;
    }

}

@media (max-width: 755px) {
    footer {
        padding-bottom: 5px;    
    }

    #container2Mobile { /* Foto and Text section is allways foto than text*/
        display: block !important;
    }
    #container2Pc {
        display: none !important;
    }
}